package com.zanxiang.game.back.base.oceanengine.rpc;

import com.zanxiang.game.back.base.oceanengine.pojo.dto.UserActiveRpcDTO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 微信小游戏头条上报
 * 参考文档：https://bytedance.feishu.cn/docx/doxcnsCqXkvxoAg36GDzkRRRuAq
 */
public interface WechatMiniGameDataReportRpc {

    /**
     * 用户激活、注册等上报
     */
    ResultVO<Boolean> userActive(UserActiveRpcDTO userActive);
}
