package com.zanxiang.game.back.base.tencent.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TencentOrderDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    private LocalDateTime subscribeTime;

    /**
     * 充值金额（分）
     */
    private Long rechargeMoney;

    /**
     * 充值时间
     */
    private LocalDateTime rechargeTime;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;


}
