package com.zanxiang.game.module.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-11
 * @description : 上报枚举
 */
@Getter
@AllArgsConstructor
public enum CallBackEnum {

    /**
     * 未上报
     */
    UN_CALL_BACK(0, "未上报"),

    /**
     * 上报成功
     */
    SUCCESS_CALL_BACK(1, "上报成功"),

    /**
     * 上报失败
     */
    FAIL_CALL_BACK(2, "上报失败");

    /**
     * 数据类型
     */
    private Integer callBackStatus;

    /**
     * 描述
     */
    private String name;
}
