package com.zanxiang.game.module.manage.domain.params;

import com.zanxiang.game.module.base.base.BasePage;
import com.zanxiang.game.module.mybatis.entity.PromoMedia;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-11-17
 * @description : 推广媒体列表查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PromoMediaListParam extends BasePage<PromoMedia> {

    /**
     * 推广媒体
     */
    @ApiModelProperty(notes = "推广媒体")
    private String name;

    /**
     * 媒体类型
     */
    @ApiModelProperty(notes = "媒体类型")
    private Long type;

    /**
     * 状态
     */
    @ApiModelProperty(notes = "状态")
    private Integer status;
}
