package com.zanxiang.game.module.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-01-15
 * @description : 商城小程序枚举类型
 */
@Getter
@AllArgsConstructor
public enum AppletStoreEnum {

    /**
     * 商城百货
     */
    STORE_GOODS(1, "商城百货"),

    /**
     * 商城美妆
     */
    STORE_BEAUTY(2, "商城美妆"),

    /**
     * 商城内容
     */
    STORE_CONTENT(3, "商城内容");

    /**
     * 账号类型
     */
    private Integer type;

    /**
     * 账号类型名称
     */
    private String name;
}
