package com.zanxiang.game.module.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-07-13
 * @description : 游戏应用类型
 */
@Getter
@AllArgsConstructor
public enum GameCategoryEnum {

    /**
     * 微信小游戏
     */
    CATEGORY_WX_APPLET("wx_applet", "微信小游戏"),

    /**
     * 抖音小游戏
     */
    CATEGORY_DY_APPLET("byte_applet", "抖音小游戏"),

    /**
     * h5游戏
     */
    CATEGORY_H5("h5", "h5游戏"),

    /**
     * app游戏
     */
    CATEGORY_APP("app", "app游戏");

    /**
     * 游戏分类key
     */
    private String key;

    /**
     * 描述
     */
    private String name;
}
