package com.zanxiang.game.module.manage;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 启动类
 */
@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
@EnableDubbo
@EnableSwagger2
public class ManageApplication {

    public static void main(String[] args) {
        SpringApplication.run(ManageApplication.class, args);
        System.out.println("赞象Manage服务启动成功opQ ( ´･･)ﾉ(._.`) \n" +
                " ______  __     __     \n" +
                "/_____/\\/__/\\ /__/\\    \n" +
                "\\:::__\\/\\ \\::\\\\:.\\ \\   \n" +
                "   /: /  \\_\\::_\\:_\\/   \n" +
                "  /::/___  _\\/__\\_\\_/\\ \n" +
                " /_:/____/\\\\ \\ \\ \\::\\ \\\n" +
                " \\_______\\/ \\_\\/  \\__\\/\n");
    }

}
