package com.zanxiang.game.module.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-22
 * @description : 推广账号联动列表
 */
@Data
public class PromoAccountLinkageChoiceVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广账号id
     */
    @ApiModelProperty(notes = "推广账号id")
    private String account;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(notes = "推广账号名称")
    private String name;

    /**
     * 投手项目组
     */
    @ApiModelProperty(notes = "投手项目组")
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    @ApiModelProperty(notes = "投手项目组名称")
    private String pitcherGroupName;

    /**
     * 投手id
     */
    @ApiModelProperty(notes = "投手id")
    private String pitcherId;

    /**
     * 投手名称
     */
    @ApiModelProperty(notes = "投手名称")
    private String pitcherName;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    @ApiModelProperty(notes = "推广媒体名称")
    private String mediaName;

    /**
     * 推广账号类型
     */
    @ApiModelProperty(notes = "推广账号类型")
    private Integer accountType;

    /**
     * 推广账号类型名称
     */
    @ApiModelProperty(notes = "推广账号类型名称")
    private String accountTypeName;
}
