package com.zanxiang.game.module.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-23
 * @description : 推广媒体版位位置
 */
@Data
public class PromoSiteLinkageChoiceVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    @ApiModelProperty(notes = "推广媒体名称")
    private String mediaName;

    /**
     * 媒体版位
     */
    @ApiModelProperty(notes = "媒体版位")
    private String plateSite;

    /**
     * 媒体位置
     */
    @ApiModelProperty(notes = "媒体位置")
    private String mediaSite;
}
