package com.zanxiang.game.module.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-18
 * @description : 推广媒体版位列表
 */
@Data
public class PromoSiteListVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 推广媒体id
     */
    @ApiModelProperty(notes = "推广媒体id")
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    @ApiModelProperty(notes = "推广媒体名称")
    private String mediaName;

    /**
     * 媒体版位
     */
    @ApiModelProperty(notes = "媒体版位")
    private String plateSite;

    /**
     * 媒体位置
     */
    @ApiModelProperty(notes = "媒体位置")
    private String mediaSite;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1: 禁用")
    private Integer status;
}
